Subject: [Int-area] HEADS UP: I-D Action: draft-ietf-intarea-ipv4-id-update-04.txt

From: Julien Laganier <[email-masked]>
Date: Fri, 23 Sep 2011 13:12:34 -0700

Folks,

This is a heads up that the IPv4 ID draft has been updated to address
the final reviews we got and thus unless someone has an objection I
consider this is ready to be forwarded to IESG for publication and
will do so shortly.

--julien

On Fri, Sep 16, 2011 at 2:56 PM, Joe Touch <[email-masked]> wrote:
> Hi, all,
>
> Here's a short summary of the changes.
>
> Joe
>
> ----
>
> - a few typo fixes
>
> - removed discussion on ID for ICMP validation (it never got out of the
> proposed stage)
>
> - changed from "Cocode" to "mathematical expression" to avoid needing a
> BSD-stye license (since the example wasn't intended as running code anyway)
>
> - formalized the recommendation that SMF treat IPv4 like IPv6, i.e., use
> hashes rather than the ID field for duplicate packet detection
>
> - expanded the header compression discussion with new examples
>
> - included discussion on use of the ID field for debugging, and alternates
> (which are needed for IPv6 anyway)
>
> - added ACKs for the recent contributors (thanks, BTW)
>
> ----
>
> On 9/16/2011 2:15 PM, [email-masked] wrote:
>>
>> A New Internet-Draft is available from the on-line Internet-Drafts
>> directories. This draft is a work item of the Internet Area Working Group
>> Working Group of the IETF.
>>
>>        Title           : Updated Specification of the IPv4 ID Field
>>        Author(s)       : Joe Touch
>>        Filename        : draft-ietf-intarea-ipv4-id-update-04.txt
>>        Pages           : 16
>>        Date            : 2011-09-16
>>
>>    The IPv4 Identification (ID) field enables fragmentation and
>>    reassembly, and as currently specified is required to be unique
>>    within the maximum lifetime for all datagrams with a given
>>    source/destination/protocol tuple. If enforced, this uniqueness
>>    requirement would limit all connections to 6.4 Mbps. Because
>>    individual connections commonly exceed this speed, it is clear that
>>    existing systems violate the current specification. This document
>>    updates the specification of the IPv4 ID field in RFC791, RFC1122,
>>    and RFC2003 to more closely reflect current practice and to more
>>    closely match IPv6 so that the field&#39;s value is defined only when a
>>    datagram is actually fragmented. It also discusses the impact of
>>    these changes on how datagrams are used.
>>
>>
>> A URL for this Internet-Draft is:
>>
>> http://www.ietf.org/internet-drafts/draft-ietf-intarea-ipv4-id-update-04.txt
>>
>> Internet-Drafts are also available by anonymous FTP at:
>> ftp://ftp.ietf.org/internet-drafts/
>>
>> This Internet-Draft can be retrieved at:
>>
>> ftp://ftp.ietf.org/internet-drafts/draft-ietf-intarea-ipv4-id-update-04.txt
>> _______________________________________________
>> Int-area mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/int-area
>
> _______________________________________________
> Int-area mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/int-area
>